curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0 \
--header 'Authorization: Bearer gmcp_your_api_key'
{
"id": 1,
"uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"auth_config": null,
"outbound_auth_type": "none",
"outbound_auth_config": null,
"cors_origins": null,
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools",
"tool_count": 3,
"prompt_count": 1,
"resource_count": 2,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
}
Retrieve a single MCP server by ID.
curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0 \
--header 'Authorization: Bearer gmcp_your_api_key'
{
"id": 1,
"uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"auth_config": null,
"outbound_auth_type": "none",
"outbound_auth_config": null,
"cors_origins": null,
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools",
"tool_count": 3,
"prompt_count": 1,
"resource_count": 2,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
}
Documentation Index
Fetch the complete documentation index at: https://docs.getmcp.com/llms.txt
Use this file to discover all available pages before exploring further.
836995ae-1cff-41ec-823e-a4f07ccca3a0). Numeric IDs are also accepted for backwards compatibility.curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0 \
--header 'Authorization: Bearer gmcp_your_api_key'
{
"id": 1,
"uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"auth_config": null,
"outbound_auth_type": "none",
"outbound_auth_config": null,
"cors_origins": null,
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools",
"tool_count": 3,
"prompt_count": 1,
"resource_count": 2,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
}